title: 'Footer Appeal Card'
fields:
  -
    handle: footer_appeal_card_image
    field:
      max_files: 1
      container: assets
      type: assets
      display: 'Appeal card image'
      instructions: 'Image used to decorate the appeal card in the footer. Only visible on desktop views.'
      localizable: false
      validate:
        - required
  -
    handle: footer_appeal_card_text
    field:
      type: text
      display: 'Appeal card text'
      localizable: false
      validate:
        - required
  -
    handle: footer_appeal_card_btn_text
    field:
      type: text
      display: 'Appeal card button text'
      localizable: false
      width: 50
      validate:
        - required
  -
    handle: footer_appeal_card_btn_link_type
    field: button.button_link_type
    config:
      display: 'Appeal card link type'
      validate:
        - required
        - 'required_with:footer_appeal_card_text'
  -
    handle: footer_appeal_card_btn_link
    field: button.link
    config:
      display: 'Appeal card button link'
      if:
        footer_appeal_card_btn_link_type: 'equals url'
      validate:
        - sometimes
        - required
  -
    handle: footer_appeal_card_btn_download
    field: button.download
    config:
      display: 'Appeal card button download'
      validate:
        - sometimes
        - required
      if:
        footer_appeal_card_btn_link_type: 'equals download'
  -
    handle: footer_appeal_card_btn_entry
    field: button.page_story
    config:
      display: 'Appeal card button entry'
      if:
        footer_appeal_card_btn_link_type: 'equals collection'
      validate:
        - sometimes
        - required
